AbstractGridLayoutManager (base API)
Date: 2019-04-05

com.twosigma.beakerx.jvm.object

## Class AbstractGridLayoutManager

- java.lang.Object
- - com.twosigma.beakerx.jvm.object.OutputContainerLayoutManager
  - - com.twosigma.beakerx.jvm.object.AbstractGridLayoutManager

- Direct Known Subclasses:
    DashboardLayoutManager, GridOutputContainerLayoutManager

      public abstract class AbstractGridLayoutManager
      extends OutputContainerLayoutManager

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `columns`
    `protected int` | `paddingBottom`
    `protected int` | `paddingLeft`
    `protected int` | `paddingRight`
    `protected int` | `paddingTop`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractGridLayoutManager(int columns)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getColumns()`
    `int` | `getPaddingBottom()`
    `int` | `getPaddingLeft()`
    `int` | `getPaddingRight()`
    `int` | `getPaddingTop()`
    `void` | `setPaddingBottom(int paddingBottom)`
    `void` | `setPaddingLeft(int paddingLeft)`
    `void` | `setPaddingRight(int paddingRight)`
    `void` | `setPaddingTop(int paddingTop)`

    - ### Methods inherited from class com.twosigma.beakerx.jvm.object.OutputContainerLayoutManager

      `display, getWidgets, isBorderDisplayed, setBorderDisplayed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### columns

          protected final int columns

    - #### paddingTop

          protected int paddingTop

    - #### paddingBottom

          protected int paddingBottom

    - #### paddingLeft

          protected int paddingLeft

    - #### paddingRight

          protected int paddingRight

  - ### Constructor Detail

    - #### AbstractGridLayoutManager

          public AbstractGridLayoutManager(int columns)

  - ### Method Detail

    - #### getColumns

          public int getColumns()

    - #### getPaddingTop

          public int getPaddingTop()

    - #### setPaddingTop

          public void setPaddingTop(int paddingTop)

    - #### getPaddingBottom

          public int getPaddingBottom()

    - #### setPaddingBottom

          public void setPaddingBottom(int paddingBottom)

    - #### getPaddingLeft

          public int getPaddingLeft()

    - #### setPaddingLeft

          public void setPaddingLeft(int paddingLeft)

    - #### getPaddingRight

          public int getPaddingRight()

    - #### setPaddingRight

          public void setPaddingRight(int paddingRight)